3.2.0
-----

Update to latest httparty to remove deprecation warning in Ruby 2.7 ([PR #7](https://github.com/ucb-ist-eas/ucb-hcm/pull/7))

3.1.0
-----

Improved response parsing ([PR #5](https://github.com/ucb-ist-eas/ucb-hcm/pull/5)):

  * Deprecated `Ucb::Hcm::Response#data` and `Ucb::Hcm::Response#response` - `data` was ambiguous as it sometimes returned an array and sometimes a hash
  * Added `all` and `each` methods to `Ucb::Hcm::Response` for retrieving response data. The API returns response data as an array, even though it's often an array with one element. The client now better reflects that behavior
  * Added `all_fetchers` and `each_fetcher` to wrap response data into [`Ucb::Hcm::DataFetcher`](https://github.com/ucb-ist-eas/ucb-hcm/blob/master/lib/ucb/hcm/data_fetcher.rb) instances

3.0.0
-----

Switch to v3 of the HCM API ([PR #2](https://github.com/ucb-ist-eas/ucb-hcm/pull/2))

