# spec/spec_helper.rb
require 'ucb/hcm'
require 'support/test_credentials'
require 'support/vcr'

TEST_RESPONSE = {
  "source"=>"UCB-HR-PATH-DB",
  "correlationId"=>"2cf1e603-95cb-405c-a0ad-535b468e0a11",
  "response"=>[
    {
      "identifiers"=>[
        {"type"=>"hr-employee-id", "id"=>"1234567"},
        {"type"=>"campus-uid", "id"=>"12346"},
      ],
      "names"=>[{
        "type"=>{"code"=>"PRI", "description"=>"Primary"},
        "familyName"=>"Montalban",
        "givenName"=>"Ricardo",
        "middleName"=>"Roark",
        "lastChangedBy"=>{"id"=>"UC_AROY"},
        "fromDate"=>"2015-08-01"
      }],
      "gender"=>{
        "genderOfRecord"=>{
          "code"=>"M", "description"=>"Male", "fromDate"=>"2015-08-01"
        }
      },
      "emails"=>[{
        "type"=>{
          "code"=>"BUSN", "description"=>"Business"
        },
        "emailAddress"=>"rmontalban@berkeley.edu",
        "primary"=>true
      }]
    },
    {
      "identifiers"=>[
        {"type"=>"hr-employee-id", "id"=>"9876543"},
        {"type"=>"campus-uid", "id"=>"9876"},
      ],
      "names"=>[{
        "type"=>{"code"=>"PRI", "description"=>"Primary"},
        "familyName"=>"McCoy",
        "givenName"=>"Julie",
        "lastChangedBy"=>{"id"=>"UC_AROY"},
        "fromDate"=>"2014-08-01"
      }],
      "gender"=>{
        "genderOfRecord"=>{
          "code"=>"F", "description"=>"Female", "fromDate"=>"2015-08-01"
        }
      },
      "emails"=>[{
        "type"=>{
          "code"=>"BUSN", "description"=>"Business"
        },
        "emailAddress"=>"jmccoy@berkeley.edu",
        "primary"=>true
      }]
    }
  ]
}

