# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ucb/hcm/version'

Gem::Specification.new do |spec|
  spec.name          = "ucb-hcm"
  spec.version       = Ucb::Hcm::VERSION
  spec.authors       = ["Peter Philips", "Darin Wilson", "Zachary Berkompas"]
  spec.email         = ["hello@infinite.red"]
  spec.summary       = %q{Ucb HCM - Human Capital Management API gem}
  spec.description   = %q{Lightweight wrapper for the UCB HCM Api - https://developer.berkeley.edu/apidocs/employee}
  spec.homepage      = "https://infinite.red"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "activesupport"
  spec.add_runtime_dependency "httparty", "< 1.0.0"
  spec.add_runtime_dependency "hashie"
  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "byebug"
  spec.add_development_dependency "rspec-core"
  spec.add_development_dependency "rspec-expectations"
  spec.add_development_dependency "rspec-mocks"
  spec.add_development_dependency "vcr"
  spec.add_development_dependency "webmock"
end
